[freenet-cvs] r18768 - trunk/scripts

nextgens at freenetproject.org nextgens at freenetproject.org
Tue Mar 25 02:42:31 UTC 2008


Author: nextgens
Date: 2008-03-25 02:42:31 +0000 (Tue, 25 Mar 2008)
New Revision: 18768

Modified:
   trunk/scripts/verify_indent.sh
Log:
indent verification scripts: tell if the pre-compilation failed

Modified: trunk/scripts/verify_indent.sh
===================================================================
--- trunk/scripts/verify_indent.sh	2008-03-25 00:57:04 UTC (rev 18767)
+++ trunk/scripts/verify_indent.sh	2008-03-25 02:42:31 UTC (rev 18768)
@@ -22,18 +22,21 @@
 	svnlook changed $REPOSITORY --revision $REV |awk '{print $2;}'|grep -iE .java$ > list
 	while read file
 	do
+		RESULT=0
 		FILENAME="$(echo $file|sed 's/.*\///g')"
 		mkdir "$RAND-$FILENAME" && cd "$RAND-$FILENAME"
 
 		mkdir orig && cd orig
 		svnlook cat $REPOSITORY "$file" --revision $PREVIOUSREV > "$FILENAME"
 		javac -classpath $CLASSPATH $JAVACOPT "$FILENAME"
+		RESULT=$(( $RESULT + $? ))
 		rm "$FILENAME"
 		cd ..
 
 		mkdir new && cd new
 		svnlook cat $REPOSITORY "$file" --revision $REV > "$FILENAME"
 		javac -classpath $CLASSPATH $JAVACOPT "$FILENAME"
+		RESULT=$(( $RESULT + $? ))
 		rm "$FILENAME"
 		cd ../
 
@@ -50,6 +53,11 @@
 				echo $hash : $(sha1sum "$hash"|awk '{print $1;}') : $(sha1sum "${hash/orig/new}"|awk '{print $1;}') >> ../nok
 			done
 		fi
+
+		if [[ $RESULT -ne 0 ]]
+		then
+			echo "$FILENAME failed pre-compilation: we can't check whether it's a commit indent or not"  >> ../nok
+		fi
 		cd ..
 	done <list
 	echo "$AUTHOR has declared that $REV is an 'indent only' commit:"




More information about the cvs mailing list